> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Share stack profile



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /org/stack-profiles/{profile_id}/shares
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /org/stack-profiles/{profile_id}/shares:
    post:
      tags:
        - Stack Profiles
      summary: Share stack profile
      operationId: create_stack_profile_share_endpoint
      parameters:
        - in: path
          name: profile_id
          required: true
          schema:
            format: uuid
            type: string
        - in: header
          name: X-Ankra-CSRF
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateStackProfileShareRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StackProfileShare'
          description: Profile share created
        '400':
          description: Invalid share target or share limit reached
        '401':
          description: Unauthorized
        '403':
          description: Not permitted
        '404':
          description: Profile or organisation not found
        '409':
          description: Profile is already shared with the organisation
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
        '500':
          description: Internal server error
      security:
        - SessionCookie: []
components:
  schemas:
    CreateStackProfileShareRequest:
      properties:
        organisation_slug:
          maxLength: 75
          type: string
      required:
        - organisation_slug
      title: CreateStackProfileShareRequest
      type: object
    StackProfileShare:
      properties:
        id:
          format: uuid
          type: string
        organisation_id:
          format: uuid
          type: string
        organisation_name:
          anyOf:
            - type: string
            - type: 'null'
        organisation_slug:
          anyOf:
            - type: string
            - type: 'null'
        created_by_user_id:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          format: date-time
          type: string
      required:
        - id
        - organisation_id
        - organisation_name
        - organisation_slug
        - created_by_user_id
        - created_at
      title: StackProfileShare
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    SessionCookie:
      description: Browser session. Mutations also require X-Ankra-CSRF.
      in: cookie
      name: ankra_session
      type: apiKey

````